cURL
curl --request GET \ --url https://api.example.com/api/test-runs/{id}/artifacts \ --header 'Authorization: <authorization>'
{ "data": { "artifacts": [ { "key": "data/login-test-chromium/video.webm", "url": "https://prod-empirical-test-reports-ap-south-1.s3.ap-south-1.amazonaws.com/my-app/456/data/login-test-chromium/video.webm", "size": 749023, "last_modified": "2024-01-15T10:32:00.000Z" } ] } }
List artifacts for a test run with optional filtering by key, prefix, or suffix
Bearer <your-api-key>
prefix
Show properties
curl -X GET \ "https://dash.empirical.run/api/test-runs/456/artifacts?key=summary.json" \ -H "Authorization: Bearer $EMPIRICALRUN_KEY"
curl -X GET \ "https://dash.empirical.run/api/test-runs/456/artifacts?suffix=.webm" \ -H "Authorization: Bearer $EMPIRICALRUN_KEY"
curl -X GET \ "https://dash.empirical.run/api/test-runs/456/artifacts?prefix=data/login-test-chromium/" \ -H "Authorization: Bearer $EMPIRICALRUN_KEY"
curl -X GET \ "https://dash.empirical.run/api/test-runs/456/artifacts" \ -H "Authorization: Bearer $EMPIRICALRUN_KEY"
Was this page helpful?